| RSAVerifyExample | Contents | Index
Codec.ASN1.PKCS1v15 |
Portability | portable
Stability | experimental
Maintainer | dominic.steinitz@blueyonder.co.uk
Contents
Type Declarations Function Declarations
Description
Functions and types to allow the encoding and decoding of the RSA PKCS1v1.5 signature scheme. See (ftp://ftp.rsasecurity.com/pub/pkcs/pkcs-1/pkcs-1v2-1.pdf and ftp://ftp.rsasecurity.com/pub/pkcs/ascii/pkcs-1.asc) for further information.
Synopsis
data DigestInfo = DigestInfo {
digestAlgorithm1 :: DigestAlgorithm
digest :: OctetString
}
type DigestAlgorithm = AlgorithmIdentifier
encode :: [Octet] -> [Octet]
decode :: [Octet] -> Maybe [Octet]
Type Declarations
data DigestInfo
Constructors
DigestInfo |
digestAlgorithm1 :: DigestAlgorithm |
digest :: OctetString |
Instances
Encode DigestInfo
Eq DigestInfo
Show DigestInfo
type DigestAlgorithm = AlgorithmIdentifier
Function Declarations
encode :: [Octet] -> [Octet]
Not yet implemented.
decode :: [Octet] -> Maybe [Octet]
Take an encoded message and return the decoded message provided all the conditions in the specification are met.
Produced by Haddock version 0.8